org.eclipse.emf.cdo.common.revision

## Class CDORevisionUtil.AllRevisionsDumper.Stream.Plain

- java.lang.Object
- - org.eclipse.emf.cdo.common.revision.CDORevisionUtil.AllRevisionsDumper
  - - org.eclipse.emf.cdo.common.revision.CDORevisionUtil.AllRevisionsDumper.Stream
    - - org.eclipse.emf.cdo.common.revision.CDORevisionUtil.AllRevisionsDumper.Stream.Plain

- Enclosing class:
    CDORevisionUtil.AllRevisionsDumper.Stream

      public static class CDORevisionUtil.AllRevisionsDumper.Stream.Plain
      extends CDORevisionUtil.AllRevisionsDumper.Stream

  A `revision dumper` that directs all output as plain text to a stream.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.common.revision.CDORevisionUtil.AllRevisionsDumper.Stream

      `CDORevisionUtil.AllRevisionsDumper.Stream.Html, CDORevisionUtil.AllRevisionsDumper.Stream.Plain`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.common.revision.CDORevisionUtil.AllRevisionsDumper

      `CDORevisionUtil.AllRevisionsDumper.Stream`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `pad`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Plain(java.util.Map<CDOBranch,java.util.List<CDORevision>> map, java.io.PrintStream out)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dumpBranch(CDOBranch branch)`
    `protected void` | `dumpEnd(java.util.List<CDOBranch> branches)`
    `protected void` | `dumpRevision(CDORevision revision)`

    - ### Methods inherited from class org.eclipse.emf.cdo.common.revision.CDORevisionUtil.AllRevisionsDumper.Stream

      `out`

    - ### Methods inherited from class org.eclipse.emf.cdo.common.revision.CDORevisionUtil.AllRevisionsDumper

      `dump, dumpStart, getMap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### pad

          public static final int pad

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Plain

          public Plain(java.util.Map<CDOBranch,java.util.List<CDORevision>> map,
                       java.io.PrintStream out)

  - ### Method Detail

    - #### dumpEnd

          protected void dumpEnd(java.util.List<CDOBranch> branches)

      Overrides:
        `dumpEnd` in class `CDORevisionUtil.AllRevisionsDumper`

    - #### dumpBranch

          protected void dumpBranch(CDOBranch branch)

      Specified by:
        `dumpBranch` in class `CDORevisionUtil.AllRevisionsDumper`

    - #### dumpRevision

          protected void dumpRevision(CDORevision revision)

      Specified by:
        `dumpRevision` in class `CDORevisionUtil.AllRevisionsDumper`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html